summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormezz <mezz@df743ca5-7f9a-e211-a948-0013205c9059>2004-06-11 08:16:04 +0800
committermezz <mezz@df743ca5-7f9a-e211-a948-0013205c9059>2004-06-11 08:16:04 +0800
commite135fa88dce948b252db7af0e6491e6b08deecf6 (patch)
tree2ff942f7adb8bab131d66e755465daece3990b3d
parent2002ef5820372ae2a175cbbe695dabac0ee07974 (diff)
downloadmarcuscom-ports-e135fa88dce948b252db7af0e6491e6b08deecf6.tar
marcuscom-ports-e135fa88dce948b252db7af0e6491e6b08deecf6.tar.gz
marcuscom-ports-e135fa88dce948b252db7af0e6491e6b08deecf6.tar.bz2
marcuscom-ports-e135fa88dce948b252db7af0e6491e6b08deecf6.tar.lz
marcuscom-ports-e135fa88dce948b252db7af0e6491e6b08deecf6.tar.xz
marcuscom-ports-e135fa88dce948b252db7af0e6491e6b08deecf6.tar.zst
marcuscom-ports-e135fa88dce948b252db7af0e6491e6b08deecf6.zip
Sync from AbiWord2 in FreeBSD port. The differences are no install Help
docs and only has a spell option, Enchant. For some reason, AbiWord developers has deleted the Help docs Makefile and AbiWord will call to browser to go over at AbiWord's Help docs website. Later, I will check again and do the small clean up in case if I have missed. git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@2388 df743ca5-7f9a-e211-a948-0013205c9059
-rw-r--r--editors/AbiWord2/Makefile77
-rw-r--r--editors/AbiWord2/files/patch-..::wv::magick::Makefile.in14
-rw-r--r--editors/AbiWord2/files/patch-GNUmakefile.am22
-rw-r--r--editors/AbiWord2/files/patch-GNUmakefile.in49
-rw-r--r--editors/AbiWord2/files/patch-an2
-rw-r--r--editors/AbiWord2/files/patch-ap23
-rw-r--r--editors/AbiWord2/files/patch-autogen.sh57
-rw-r--r--editors/AbiWord2/files/patch-ax10
-rw-r--r--editors/AbiWord2/pkg-plist7
9 files changed, 92 insertions, 169 deletions
diff --git a/editors/AbiWord2/Makefile b/editors/AbiWord2/Makefile
index c6b21a64a..dd71e5bfe 100644
--- a/editors/AbiWord2/Makefile
+++ b/editors/AbiWord2/Makefile
@@ -7,48 +7,56 @@
PORTNAME= AbiWord2
PORTVERSION= 2.1.2
+PORTREVISION= 1
CATEGORIES= editors
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE} \
http://www.abisource.com/downloads/Version-${PORTVERSION}/lf/
MASTER_SITE_SUBDIR= abiword
DISTNAME= abiword-${PORTVERSION}
+DIST_SUBDIR= AbiWord
MAINTAINER= gnome@FreeBSD.org
COMMENT= An open-source, cross-platform WYSIWYG word processor
# unzip is needed during the installation process
BUILD_DEPENDS= unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS= png.5:${PORTSDIR}/graphics/png \
- fribidi.0:${PORTSDIR}/converters/fribidi \
- popt.0:${PORTSDIR}/devel/popt \
- enchant.2:${PORTSDIR}/textproc/enchant
-
-DIST_SUBDIR= AbiWord
-
-WRKSRC= ${WRKDIR}/abiword-${PORTVERSION}/abi
+LIB_DEPENDS= popt.0:${PORTSDIR}/devel/popt \
+ png.5:${PORTSDIR}/graphics/png \
+ wv-1.0.0:${PORTSDIR}/textproc/wv \
+ fribidi.0:${PORTSDIR}/converters/fribidi
USE_BZIP2= yes
-USE_X_PREFIX= yes
-USE_ICONV= yes
-GNU_CONFIGURE= yes
USE_GMAKE= yes
-USE_REINPLACE= yes
+USE_ICONV= yes
USE_GNOME= gnomehier libglade2 libxml2
WANT_GNOME= yes
-CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
- LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib -liconv"
-CONFIGURE_ARGS= --enable-xft
+USE_X_PREFIX= yes
+USE_REINPLACE= yes
+GNU_CONFIGURE= yes
+CONFIGURE_ARGS= --enable-xft \
+ --with-sys-wv \
+ --with-popt=${LOCALBASE} \
+ --with-zlib=${LOCALBASE} \
+ --with-libpng=${LOCALBASE} \
+ --with-libiconv=${LOCALBASE} \
+ --with-libjpeg-prefix=${LOCALBASE} \
+ --disable-peer-config
MAKEFILE= GNUmakefile
ABIVERSION= 2.2
PLIST_SUB+= "ABIVERSION=${ABIVERSION}"
+WRKSRC= ${WRKDIR}/abiword-${PORTVERSION}/abi
-.include <bsd.port.pre.mk>
-
-.if exists(${LOCALBASE}/include/wv.h)
-BROKEN= "This port cannot be built when textproc/wv is installed because of a header conflict. Please remove textproc/wv, and resume the build. If textproc/wv is no longer installed, please remove ${LOCALBASE}/include/wv.h, and resume the AbiWord2 build"
+.ifndef(WITHOUT_GTKSPELL)
+LIB_DEPENDS+= enchant.2:${PORTSDIR}/textproc/enchant
+PLIST_SUB+= DICT:="@comment "
+.else
+CONFIGURE_ARGS+= --disable-enchant
+PLIST_SUB+= DICT:=""
.endif
+.include <bsd.port.pre.mk>
+
.if ${HAVE_GNOME:Mnautilus2}!="" && ${HAVE_GNOME:Mlibgnomeprintui}!=""
USE_GNOME+= nautilus2 libgnomeprintui
CONFIGURE_ARGS+= --enable-gnome
@@ -66,31 +74,20 @@ pre-everything::
@${ECHO_MSG} ""
@${ECHO_MSG} "AbiWord2 has the following tunable option(s):"
@${ECHO_MSG} " WITH_GUCHARMAP=yes Enable use of Gucharmap as the symbol insertion tool (default: auto)"
+ @${ECHO_MSG} " WITHOUT_HELP_DOCS=yes Disable install the AbiWord HTML Help docs"
+ @${ECHO_MSG} " WITHOUT_GTKSPELL=yes Don't use Enchant, but still has spell enable and install dictionary."
@${ECHO_MSG} ""
-#Hopefully this will be fixed in the next version
-post-extract:
- @${CP} ${WRKSRC}/abiword.desktop ${WRKSRC}/src/pkg/linux/rpm/data
-
post-patch:
- @${REINPLACE_CMD} -e 's|%%AUTOMAKE%%|${AUTOMAKE}|g ; \
- s|%%ACLOCAL%%|${ACLOCAL}|g ; \
- s|%%AUTOCONF%%|${AUTOCONF}|g' ${WRKSRC}/autogen.sh
- @${FIND} ${WRKSRC}/ac-helpers -name "*.m4" | ${XARGS} ${REINPLACE_CMD} \
- 's|-ansi||g ; \
- s|-pedantic||g'
+ @${REINPLACE_CMD} -e 's|-ansi||g ; s|-pedantic||g' \
+ ${WRKSRC}/configure
@${FIND} ${WRKSRC}/src/config/platforms -name "*.mk" | ${XARGS} \
- ${REINPLACE_CMD} 's|-ansi||g ; \
- s|-pedantic||g'
-#Next line is needed for a couple GTK_OPTION_MENUs that it seems they forgot about. Hopefully this REINPLACE
-#will be unnecessary soon.
- @${REINPLACE_CMD} -e 's|-DGTK_DISABLE_DEPRECATED||g' ${WRKSRC}/configure
-
-pre-configure:
+ ${REINPLACE_CMD} 's|-ansi||g ; s|-pedantic||g'
@${FIND} ${WRKSRC} -name GNUmakefile.in | ${XARGS} ${REINPLACE_CMD} -e \
- 's|[(]libdir[)]/@PACKAGE@|(datadir)/@PACKAGE@|g ; \
- s|[(]libdir[)]/bonobo/servers|(prefix)/libdata/bonobo/servers|g; \
- s|@DEFS@|-I${WRKSRC}/../libiconv/include @DEFS@|g' && ${TRUE}
+ 's|@.*PEER.*@||g ; \
+ s|WV_INCLUDES = |#WV_INCLUDES = |g ; \
+ s|[(]libdir[)]/@PACKAGE@|(datadir)/@PACKAGE@|g ; \
+ s|[(]libdir[)]/bonobo/servers|(prefix)/libdata/bonobo/servers|g'
post-install:
.if defined(GNOME_ENABLED)
@@ -98,6 +95,8 @@ post-install:
${PREFIX}/share/gnome/apps/Applications/abiword.desktop
@${LN} -sf ${PREFIX}/share/AbiSuite-${ABIVERSION}/icons/abiword_48.png \
${PREFIX}/share/gnome/pixmaps/abiword_48.png
+ @${LN} -sf ${PREFIX}/share/AbiSuite-2.0/GNOME_AbiWord_Control_${ABIVERSION:S/./_/}.server \
+ ${PREFIX}/libdata/bonobo/servers/GNOME_AbiWord_Control_${ABIVERSION:S/./_/}.server
@${LN} -sf ${PREFIX}/share/AbiSuite-${ABIVERSION}/abi-nautilus-view-file.xml \
${PREFIX}/share/gnome/gnome-2.0/ui/abi-nautilus-view-file.xml
.endif
diff --git a/editors/AbiWord2/files/patch-..::wv::magick::Makefile.in b/editors/AbiWord2/files/patch-..::wv::magick::Makefile.in
deleted file mode 100644
index bfba3a8be..000000000
--- a/editors/AbiWord2/files/patch-..::wv::magick::Makefile.in
+++ /dev/null
@@ -1,14 +0,0 @@
-
-$FreeBSD$
-
---- ../wv/magick/Makefile.in 2001/08/08 11:44:02 1.1
-+++ ../wv/magick/Makefile.in 2001/08/08 11:44:13
-@@ -40,7 +40,7 @@
- all: $(MAGICKOBJECTS)
-
- %.$(OBJEXT): $(srcdir)/%.c
-- $(CC) $(CFLAGS) -c $(srcdir)/$*.c
-+ $(CC) @CPPFLAGS@ $(CFLAGS) -c $(srcdir)/$*.c
-
- clean:
- rm -rf *.$(OBJEXT) core a.$(OBJEXT)ut *.a
diff --git a/editors/AbiWord2/files/patch-GNUmakefile.am b/editors/AbiWord2/files/patch-GNUmakefile.am
deleted file mode 100644
index 3e4cc389d..000000000
--- a/editors/AbiWord2/files/patch-GNUmakefile.am
+++ /dev/null
@@ -1,22 +0,0 @@
---- GNUmakefile.am.orig Mon Aug 18 09:45:27 2003
-+++ GNUmakefile.am Mon Aug 25 04:25:53 2003
-@@ -76,7 +76,6 @@
-
- # Install the datafiles. This is quick-and-dirty.
- install-data-local:
-- @$(mkinstalldirs) $(DESTDIR)$(bonobodir)
- if test -d $(top_srcdir)/../abidistfiles ; then \
- for dir in `cd $(top_srcdir)/../abidistfiles; find . -type d ! -name CVS` ; do \
- $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$$dir ;\
-@@ -89,11 +88,7 @@
- for file in $(top_srcdir)/../abidistfiles/$$dir/* ; do \
- if test -f $$file ; then \
- sfile=`echo "$$file" | sed 's/\.[^.]*$$//'`; \
-- if test "$$sfile.server" = $$file; then \
-- $(INSTALL_DATA) $$file $(DESTDIR)$(bonobodir); \
-- else \
- $(INSTALL_DATA) $$file $(DESTDIR)$(pkgdatadir)/$$dir; \
-- fi; \
- fi; \
- done; \
- fi; \
diff --git a/editors/AbiWord2/files/patch-GNUmakefile.in b/editors/AbiWord2/files/patch-GNUmakefile.in
new file mode 100644
index 000000000..191db41c0
--- /dev/null
+++ b/editors/AbiWord2/files/patch-GNUmakefile.in
@@ -0,0 +1,49 @@
+--- GNUmakefile.in.orig Thu Jun 10 17:36:52 2004
++++ GNUmakefile.in Thu Jun 10 17:39:30 2004
+@@ -156,17 +156,17 @@
+
+ SUBDIRS = src
+
+-expat_peerdir = $(top_builddir)/../expat
+-wv_peerdir = $(top_builddir)/../wv
+-libiconv_peerdir = $(top_builddir)/../libiconv
+-libpng_peerdir = @LIBPNG_PEERDIR@
+-libpopt_peerdir = $(top_builddir)/../popt
++#expat_peerdir = $(top_builddir)/../expat
++#wv_peerdir = $(top_builddir)/../wv
++#libiconv_peerdir = $(top_builddir)/../libiconv
++#libpng_peerdir = @LIBPNG_PEERDIR@
++#libpopt_peerdir = $(top_builddir)/../popt
+
+-desktop_DATA = abiword.desktop
+-desktopdir = $(datadir)/applications
++#desktop_DATA = abiword.desktop
++#desktopdir = $(datadir)/applications
+
+-icon_DATA = abiword_48.png
+-icondir = $(datadir)/icons
++#icon_DATA = abiword_48.png
++#icondir = $(datadir)/icons
+
+ @BIGENDIAN_TRUE@dictionary = $(top_srcdir)/../abidistfiles/dictionary/BigEndian32.american.hash
+ @BIGENDIAN_FALSE@dictionary = $(top_srcdir)/../abidistfiles/dictionary/LittleEndian32.american.hash
+@@ -585,7 +585,6 @@
+
+ # Install the datafiles. This is quick-and-dirty.
+ install-data-local:
+- @$(mkinstalldirs) $(DESTDIR)$(bonobodir)
+ if test -d $(top_srcdir)/../abidistfiles ; then \
+ for dir in `cd $(top_srcdir)/../abidistfiles; find . -type d ! -name CVS` ; do \
+ $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/$$dir ;\
+@@ -598,11 +597,7 @@
+ for file in $(top_srcdir)/../abidistfiles/$$dir/* ; do \
+ if test -f $$file ; then \
+ sfile=`echo "$$file" | sed 's/\.[^.]*$$//'`; \
+- if test "$$sfile.server" = $$file; then \
+- $(INSTALL_DATA) $$file $(DESTDIR)$(bonobodir); \
+- else \
+ $(INSTALL_DATA) $$file $(DESTDIR)$(pkgdatadir)/$$dir; \
+- fi; \
+ fi; \
+ done; \
+ fi; \
diff --git a/editors/AbiWord2/files/patch-an b/editors/AbiWord2/files/patch-an
index e26f0a525..54d3de78e 100644
--- a/editors/AbiWord2/files/patch-an
+++ b/editors/AbiWord2/files/patch-an
@@ -32,7 +32,7 @@
@$(subst xxxx,$(CANONDIR)/icons,$(VERIFY_DIRECTORY))
- (cd $(ABI_ROOT)/../abidistfiles/icons; cp abi* $(CANONDIR)/icons)
+ (cd $(ABI_ROOT)/../abidistfiles/icons; $(ABICOPY) abi* $(CANONDIR)/icons)
-+ @(cd $(CANONDIR)/icons; $(ABICHMOD) ugo=r *_48*)
++ @(cd $(CANONDIR)/icons; $(ABICHMOD) ugo=r abi*)
endif
@$(subst xxxx,$(CANONDIR)/clipart,$(VERIFY_DIRECTORY))
diff --git a/editors/AbiWord2/files/patch-ap b/editors/AbiWord2/files/patch-ap
deleted file mode 100644
index 76fbc4554..000000000
--- a/editors/AbiWord2/files/patch-ap
+++ /dev/null
@@ -1,23 +0,0 @@
---- src/wp/Makefile.orig Sat Apr 13 07:22:38 2002
-+++ src/wp/Makefile Fri Apr 19 23:30:57 2002
-@@ -44,8 +44,18 @@
- @$(subst xxxx,$(CANON_AppDir),$(VERIFY_DIRECTORY))
- @$(subst xxxx,$(CANON_AppDir)/strings,$(VERIFY_DIRECTORY))
- @$(subst xxxx,$(CANON_AppDir)/help,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/howto,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/howto/howtoweb.xhtml_data,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/howto/howtoword.xhtml_data,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/info,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/interface,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/interface/dialogreplace.xhtml_data,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/interface/menufile.xhtml_data,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/interface/workspace.xhtml_data,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/problems,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/en-US/tutorial,$(VERIFY_DIRECTORY))
-+ @$(subst xxxx,$(CANON_AppDir)/help/images,$(VERIFY_DIRECTORY))
- @$(ABICOPY) $(USERDIR)/wp/readme.txt $(CANON_AppDir)
- @$(ABICOPY) $(USERDIR)/wp/system.profile* $(CANON_AppDir)
- @$(ABICOPY) $(USERDIR)/wp/strings/*.strings $(CANON_AppDir)/strings
-- (cd $(USERDIR)/wp/help; tar cf - images ./*.* $(CANON_Lang)/*.* $(CANON_Lang)/*/*.*) | (cd $(CANON_AppDir)/help; tar xf -)
-- @$(ABICOPY) $(ABI_ROOT)/CREDITS.TXT $(CANON_AppDir)/help/en-US/credits.txt
diff --git a/editors/AbiWord2/files/patch-autogen.sh b/editors/AbiWord2/files/patch-autogen.sh
deleted file mode 100644
index 20ab42ded..000000000
--- a/editors/AbiWord2/files/patch-autogen.sh
+++ /dev/null
@@ -1,57 +0,0 @@
---- autogen.sh.orig Fri Feb 20 08:28:02 2004
-+++ autogen.sh Sun Mar 28 15:33:09 2004
-@@ -10,7 +10,7 @@
-
- rm -f autogen.err
-
--automake --version | perl -ne 'if (/\(GNU automake\) ([0-9].[0-9])/) {print; if ($1 < 1.4) {exit 1;}}'
-+%%AUTOMAKE%% --version | perl -ne 'if (/\(GNU automake\) ([0-9].[0-9])/) {print; if ($1 < 1.4) {exit 1;}}'
-
- if [ $? -ne 0 ]; then
- echo "Error: you need automake 1.4 or later. Please upgrade."
-@@ -19,9 +19,9 @@
-
- # Produce aclocal.m4, so autoconf gets the automake macros it needs
- #
--echo "Creating aclocal.m4: aclocal -I ac-helpers $ACLOCAL_FLAGS"
-+echo "Creating aclocal.m4: %%ACLOCAL%% -I ac-helpers $ACLOCAL_FLAGS"
-
--aclocal -I ac-helpers $ACLOCAL_FLAGS 2>> autogen.err
-+%%ACLOCAL%% -I ac-helpers $ACLOCAL_FLAGS 2>> autogen.err
-
- if test -f autom4te.cache/requests; then
- echo "Checking for PKG_CHECK_MODULES in autom4te.cache/requests ..."
-@@ -32,9 +32,9 @@
- fi
-
- if test "x$pkgcheckdef" = "x"; then
-- echo "Running aclocal -I ac-helpers -I ac-helpers/pkg-config $ACLOCAL_FLAGS"
-- (aclocal -I ac-helpers -I ac-helpers/pkg-config $ACLOCAL_FLAGS 2>> autogen.err) || {
-- echo "aclocal failed! Unable to continue."
-+ echo "Running %%ACLOCAL%% -I ac-helpers -I ac-helpers/pkg-config $ACLOCAL_FLAGS"
-+ (%%ACLOCAL%% -I ac-helpers -I ac-helpers/pkg-config $ACLOCAL_FLAGS 2>> autogen.err) || {
-+ echo "%%ACLOCAL%% failed! Unable to continue."
- exit 1
- }
- if test -f autom4te.cache/requests; then
-@@ -62,9 +62,9 @@
- # Produce all the `GNUmakefile.in's and create neat missing things
- # like `install-sh', etc.
- #
--echo "automake --add-missing --copy --foreign"
-+echo "%%AUTOMAKE%% --add-missing --copy --foreign"
-
--automake --add-missing --copy --foreign 2>> autogen.err || {
-+%%AUTOMAKE%% --add-missing --copy --foreign 2>> autogen.err || {
- echo ""
- echo "* * * warning: possible errors while running automake - check autogen.err"
- echo ""
-@@ -80,7 +80,7 @@
- #
- echo "Creating configure..."
-
--autoconf 2>> autogen.err || {
-+%%AUTOCONF%% 2>> autogen.err || {
- echo ""
- echo "* * * warning: possible errors while running automake - check autogen.err"
- echo ""
diff --git a/editors/AbiWord2/files/patch-ax b/editors/AbiWord2/files/patch-ax
deleted file mode 100644
index 91ab01775..000000000
--- a/editors/AbiWord2/files/patch-ax
+++ /dev/null
@@ -1,10 +0,0 @@
---- ../wv/libole2/ms-ole.h Sun Oct 6 20:18:41 2002
-+++ ../wv/libole2/ms-ole.h.new Sun Oct 6 20:18:48 2002
-@@ -20,6 +20,7 @@
- #if defined(__QNXNTO__)
- # include <sys/types.h>
- #endif
-+# include <sys/types.h>
- # include <fcntl.h> /* for mode_t */
- #else
- # include <stdlib.h>
diff --git a/editors/AbiWord2/pkg-plist b/editors/AbiWord2/pkg-plist
index fdf254252..68a670b95 100644
--- a/editors/AbiWord2/pkg-plist
+++ b/editors/AbiWord2/pkg-plist
@@ -2,7 +2,7 @@ bin/AbiWord-%%ABIVERSION%%
bin/abiword
bin/ttfadmin.sh
bin/ttftool
-libdata/bonobo/servers/GNOME_AbiWord_Control_2_2.server
+%%GNOME:%%libdata/bonobo/servers/GNOME_AbiWord_Control_2_2.server
share/AbiSuite-%%ABIVERSION%%/AbiWord.exe.MANIFEST
share/AbiSuite-%%ABIVERSION%%/AbiWord/glade/ap_UnixDialog_Break.glade
share/AbiSuite-%%ABIVERSION%%/AbiWord/glade/ap_UnixDialog_Field.glade
@@ -159,6 +159,7 @@ share/AbiSuite-%%ABIVERSION%%/AbiWord/system.profile-ur-PK
share/AbiSuite-%%ABIVERSION%%/AbiWord/system.profile-yi
share/AbiSuite-%%ABIVERSION%%/AbiWord/system.profile-zh-CN
share/AbiSuite-%%ABIVERSION%%/AbiWord/system.profile-zh-TW
+share/AbiSuite-%%ABIVERSION%%/GNOME_AbiWord_Control_2_2.server
share/AbiSuite-%%ABIVERSION%%/README
share/AbiSuite-%%ABIVERSION%%/abi-nautilus-view-file.xml
share/AbiSuite-%%ABIVERSION%%/clipart/book.png
@@ -188,6 +189,8 @@ share/AbiSuite-%%ABIVERSION%%/clipart/tree.png
share/AbiSuite-%%ABIVERSION%%/clipart/tux_bordelais.png
share/AbiSuite-%%ABIVERSION%%/clipart/weather.png
share/AbiSuite-%%ABIVERSION%%/clipart/write.png
+%%DICT:%%share/AbiSuite-%%ABIVERSION%%/dictionary/american.hash
+%%DICT:%%share/AbiSuite-%%ABIVERSION%%/dictionary/ispell_dictionary_list.xml
share/AbiSuite-%%ABIVERSION%%/icons/abiword_16.xpm
share/AbiSuite-%%ABIVERSION%%/icons/abiword_48.png
share/AbiSuite-%%ABIVERSION%%/icons/abiword_48.tif
@@ -262,11 +265,9 @@ share/AbiSuite-%%ABIVERSION%%/templates/normal.awt-ur_PK
share/AbiSuite-%%ABIVERSION%%/templates/normal.awt-yi
share/AbiSuite-%%ABIVERSION%%/templates/normal.awt-zh_CN
share/AbiSuite-%%ABIVERSION%%/templates/normal.awt-zh_TW
-share/applications/abiword.desktop
%%GNOME:%%share/gnome/apps/Applications/abiword.desktop
%%GNOME:%%share/gnome/gnome-2.0/ui/abi-nautilus-view-file.xml
%%GNOME:%%share/gnome/pixmaps/abiword_48.png
-share/icons/abiword_48.png
@dirrm share/AbiSuite-%%ABIVERSION%%/templates
@dirrm share/AbiSuite-%%ABIVERSION%%/icons
@dirrm share/AbiSuite-%%ABIVERSION%%/dictionary